{% extends "base.html" %} {% block title %}
<title>反馈清单</title>
{% endblock %} {% block css %} {{ super() }} {% endblock %} {% block header %} {{ super() }} {% endblock %} {% block main %}
<main>
    <section class="shop--area shop-right-sidebar pt-90 pb-90">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-xl-3 col-lg-3 col-md-3 col-sm-12">{% include "cont_side.html" %}</div>
                <div class="col-xl-9 col-lg-9 col-md-9 col-sm-12">
                    <div class="cart-wrapper">
                        <div class="table-responsive">
                            <table class="table mb-0">
                                <thead>
                                    <tr>
                                        <th class="product-name">未阅 | 未回复</th>
                                        <th class="product-name"></th>
                                        <th class="product-name"></th>
                                        <th class="product-name"></th>
                                    </tr>
                                </thead>
                                <tbody id="unread"></tbody>

                                <thead>
                                    <tr>
                                        <th class="product-name">已阅 | 未回复</th>
                                        <th class="product-name"></th>
                                        <th class="product-name"></th>
                                        <th class="product-name"></th>
                                    </tr>
                                </thead>
                                <tbody id="read"></tbody>

                                <thead>
                                    <tr>
                                        <th class="product-name">已阅 | 已回复</th>
                                        <th class="product-name"></th>
                                        <th class="product-name"></th>
                                        <th class="product-name"></th>
                                    </tr>
                                </thead>
                                <tbody id="replied"></tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</main>
{% endblock %} {% block footer %} {{ super() }} {% endblock %} {% block js %} {{ super() }}

<script type="text/javascript" charset="utf-8">
    let debug = 0;
    $(document).ready(function () {
        let url = "/api/get_reports";
        if (debug) url = `http://127.0.0.1:4523/mock/927026${url}`;
        $.ajax({
            // json形式
            url: url,
            type: "get",
            success: function (ret) {
              if (ret.statusCode === 200) {
                let feedbacks = ret.data;
                for (let i in feedbacks) {
                  let report_list = $(`#${i}`);
                  for (let j = 0; j < feedbacks[i].length; j++) {
                    let feedback_id = feedbacks[i][j].id;
                    report_list.append(`<tr id="${feedback_id}"></tr>`);
                    let report = $(`#${feedback_id}`);
                    report.append(`<td class="product-name"><p>${feedbacks[i][j].publish_time}</p></td>`);
                    report.append(`<td class="product-name"><h4>${feedbacks[i][j].user_id}</h4></td>`);
                    report.append(`<td class="product-name"><p>${feedbacks[i][j].feedback_content}</p></td>`);
                    report.append(`<td class="product-name"><h4><a href=/admin/feedback/${feedback_id}/>反馈详情</a></h4></td>`);
                  }
                }
              }
            },
        });
    });
</script>

{% endblock %}
